---
title: AnimationPlaybackEvent.AnimationPlaybackEvent()
slug: Web/API/AnimationPlaybackEvent/AnimationPlaybackEvent
tags:
  - API
  - Animation
  - AnimationPlaybackEvent
  - AnimationPlaybackEvent()
  - Constructor
  - Experimental
  - Reference
  - waapi
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations API") }}</p>

<p>The <strong><code>AnimationPlaybackEvent()</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> returns a new <code>{{domxref("AnimationPlaybackEvent")}}</code> object instance.</p>

<h2 id="Syntax">Syntax</h2>

<div class="syntaxbox">
<pre class="brush: js">var animationPlaybackEvent = new AnimationPlaybackEvent(<em>type, eventInitDict</em>);</pre>
</div>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>{{domxref("Event.type", "type")}}</code></dt>
 <dd>A <a href="/en-US/docs/Web/API/DOMString" title="DOMString is a UTF-16 String. As JavaScript already uses such strings, DOMString is mapped directly to a String."><code>DOMString</code></a> representing the name of the event.</dd>
 <dt><code>eventInitDict </code>{{optional_inline}}</dt>
 <dd>An optional <code>EventInit</code> dictionary object containing the following fields:
 <dl>
  <dt><code>bubbles</code> {{optional_inline}}</dt>
  <dd>Defaults to <code>false</code>, of type <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean" title="The Boolean object is an object wrapper for a boolean value."><code>Boolean</code></a>, indicating if the event bubbles or not.</dd>
  <dt><code>cancelable</code> {{optional_inline}}</dt>
  <dd>Defaults to <code>false</code>, of type <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean" title="The Boolean object is an object wrapper for a boolean value."><code>Boolean</code></a>, indicating if the event can be canceled or not.</dd>
  <dt><code>detail</code> {{optional_inline}}</dt>
  <dd>Defaults to <code>null</code>, of type any — an event-dependent value associated with the event.</dd>
 </dl>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animationplaybackevent-animationplaybackevent', 'AnimationPlaybackEvent()' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationPlaybackEvent.AnimationPlaybackEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("AnimationPlayBackEvent")}}</li>
 <li>{{domxref("Animation.playState")}}</li>
 <li>{{domxref("CustomEvent.CustomEvent")}}</li>
 <li>{{domxref("Event.Event")}}</li>
</ul>
